Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000569KdenliveCapturepublic2009-01-05 16:562010-11-15 13:33
Reportermcouture 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version0.7.1 
Target VersionFixed in Version0.7.2 
Summary0000569: Trouble Managing Camcorder inside Kdenlive
DescriptionTrying to manage my firewire camcorder within Kdenlive - doesn't work.

When connecting to the camcorder the application connects yet produces audio/video stutter (in a pause mode). Trying to press play, the camcorder will play and the clip will play but audio and video will stutter and drop frames. Pressing Record will not create a clip within Kdenlive.

Additional InformationI am running Xbuntu 8.10.

I installed the Kdenlive packages as outlined on the website. All worked as advertised; I created a couple projects and start to finish everything worked including the camcorder management within Kdenlive.

I think I traced it down to Kdenlive stopped working(just the camcorder management) after I did an "Adept Upgrade All".

I can reproduce the stutter camcorder playback/record issue in Kino as well. Straight dvgrab from the command line will work fine.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships
related to 0000782closedLeHomard DV Acquisition impossible in Ubuntu Jaunty 9.04 32 bits 

-  Notes
(0002076)
ddennedy (developer)
2009-01-05 21:35

I think your system is just underpowered if even Kino stutters. What are your system specs? Also, run 'xvinfo' in a console and let us if you get a no ports found message or lengthy output. You will need more throughput in the bus and power in the video card blitter without it.

Basically, there is little we can do about it, it is not a general bug, and this will likely be close.

Finally, another problem you might have is intermittent DV transmission over the FireWire. When you capture with dvgrab at the command line, does it complain about dropped frames?

BTW, kdenlive uses dvgrab for the capture and pipes the DV into a FFmpeg ffplay process for the monitoring. How well does a DV file that you have already captured play in ffplay? and in kdenlive?
(0002077)
mcouture (reporter)
2009-01-05 22:55

My machine is an AMD 3800+ dual core with 2GB RAM.

I'm in the middle of building an Intel quad core system with 8GB and 2TB of storage so this may be a mute point.

I was running Ubuntu 7.10(Gutsy) for awhile with Kino and others with no problems capturing over FireWire.

I just installed Ubuntu 8.10 and then came across Kdenlive. I installed it and it ran fine! I even captured over FireWire fine. I produced 2 DVD "mini projects" with ease.

I think I had an automatic update which broke Kdenlive. What I did to test this is I had a tar backup of my system just before I installed Kdenlive. I did a restore of / and now the stutter is gone but the system as a whole is now unstable.

I say we can close this for now and hope that my new machine will be alright...

Thanks for all your work on this project so far! It looking great!
(0002078)
ddennedy (developer)
2009-01-06 01:07

OK, well, it only takes about 1GHz single core to decode DV in realtime, but you never know what system people are going to try to run on. :-)

To me it sounds like you were getting a lot of FireWire bus problems. You would need to try to troubleshoot this at a lower level using dvgrab and looking at dmesg.
(0003075)
ddennedy (developer)
2009-06-03 07:56

same as bug 782?
which was reported on Launchpad:
https://bugs.launchpad.net/ubuntu/+source/kdenlive/+bug/364035 [^]

- Issue History
Date Modified Username Field Change
2009-01-05 16:56 mcouture New Issue
2009-01-05 16:56 mcouture Build/Install Method => Distribution package
2009-01-05 21:35 ddennedy Note Added: 0002076
2009-01-05 21:35 ddennedy Status new => feedback
2009-01-05 22:55 mcouture Note Added: 0002077
2009-01-06 01:07 ddennedy Note Added: 0002078
2009-06-03 07:56 ddennedy Note Added: 0003075
2009-06-03 07:57 ddennedy Relationship added related to 0000782
2010-11-15 13:32 ttill Status feedback => resolved
2010-11-15 13:32 ttill Resolution open => no change required
2010-11-15 13:32 ttill Fixed in Version => 0.7.2
2010-11-15 13:33 ttill Status resolved => closed
2010-11-15 13:33 ttill Assigned To => ttill
2010-11-15 13:33 ttill Assigned To ttill =>


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker